## r-cran-genetics 1.3.4

=== DESCRIPTION ===
Package: genetics
Title: Population Genetics
Version: 1.3.4
Date: 2008-08-20
Author: Gregory Warnes, with contributions from Gregor Gorjanc,
        Friedrich Leisch, and Michael Man. 
Maintainer: Gregory Warnes <warnes@bst.rochester.edu>
Depends: combinat, gdata, gtools, MASS, mvtnorm
Description: Classes and methods for handling genetic data. Includes
  classes to represent genotypes and haplotypes at single markers up
  to multiple markers on multiple chromosomes. Function include
  allele frequencies, flagging homo/heterozygotes, flagging carriers
  of certain alleles, estimating and testing for Hardy-Weinberg
  disequilibrium, estimating and testing for linkage disequilibrium,
  ...
biocViews: Genetics
License: GPL
Packaged: Wed Aug 20 15:23:42 2008; warnes

## r-cran-genetics 1.3.6

=== DESCRIPTION ===
Package: genetics
Title: Population Genetics
Version: 1.3.6
Date: 2011-02-01
Author: Gregory Warnes, with contributions from Gregor Gorjanc,
        Friedrich Leisch, and Michael Man.
Maintainer: Gregory Warnes <greg@warnes.net>
Depends: combinat, gdata, gtools, MASS, mvtnorm
Description: Classes and methods for handling genetic data. Includes
        classes to represent genotypes and haplotypes at single markers
        up to multiple markers on multiple chromosomes. Function
        include allele frequencies, flagging homo/heterozygotes,
        flagging carriers of certain alleles, estimating and testing
        for Hardy-Weinberg disequilibrium, estimating and testing for
        linkage disequilibrium, ...
biocViews: Genetics
License: GPL
Packaged: 2011-02-02 02:29:53 UTC; warnes
Repository: CRAN
Date/Publication: 2011-02-02 08:46:31

=== debian/changelog ===
r-cran-genetics (1.3.6-2) unstable; urgency=low

  * debian/control:
    - (Build-)Depend on r-cran-mass, which provides r-cran-vr (LP: #755951).
    - Corrected VCS URLs.
    - Using Debhelper 8 (debian/compat)
    - Incremented Standards-Version to reflect conformance with Policy 3.9.2
      (no changes needed).
  * Formatted debian/copyright to machine-readable DEP-5 format.
  * Install tests in “/usr/share/doc/r-cran-genetics/tests” (debian/docs),
    document them (debian/README.test), and remove wrong comment that no tests
    are available (debian/README.Debian).

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jun 2011 23:25:13 +0900

r-cran-genetics (1.3.6-1) unstable; urgency=low

  * New upstream version
  * Built with local variant of cran.mk to avoid
    inclusion of simple-patchsys for build process
    in context of source/format 3.0 (quilt).

 -- Steffen Moeller <moeller@debian.org>  Sat, 05 Feb 2011 14:51:22 +0100

r-cran-genetics (1.3.5-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Standards-Version: 3.9.1 (no changes needed)
    - + debian/rules: Require a number equal or superior than the R version the
                      package was built with, using a R:Depends substvar.
  * debian/source/format: 3.0 (quilt)
  * debian/rules: No executable flag for PDF files

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jan 2011 17:08:21 +0100

r-cran-genetics (1.3.4-1) unstable; urgency=low

  [ Charles Plessy ]
  * Rebuilt for R 2.10.0 (new documentation system).
  * debian/changelog:
    - Added a notice in the description that this package is obsolete.
    - New maintainer: the Debian Med packaging team.
    - Added myself to the uploaders.
    - Incremented Standards-Version to reflect conformance with Policy 3.8.3:
      Changed section to gnu-r.
    - Removed version in the dependency to r-base-core and r-base-dev.
    - Allow upload by DM uploaders.
  * Use Debhelper 7 (debian/control, debian/compat).
  * Conversion of debian/copyright to experimental machine-readable format.
  * Added debian/README.Debian to inform that this package is not thoroughly
    tested.
  * Added various informations about upstream in debian/upstream-metadata.yaml.

  [ Andreas Tille ]
  * Added myself to uploaders

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2009 11:55:48 +0100

r-cran-genetics (1.3.4-0.1) unstable; urgency=low

  * Non-maintainer upload
  
  * New upstream version released more than three months ago

  * debian/control: Added r-cran-gdata, r-cran-goods, r-cran-vr 
    to Build-Depends to fix FTBFS
  
  * debian/control: Removed myself from uploaders as
     - Steffen never asked me whether I wanted to be included 
     - Steffen never removed me despite repeated requests to do so
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Nov 2008 12:56:20 -0600

r-cran-genetics (1.3.3-1) unstable; urgency=low

  * Initial release (closes: #492114).

 -- Steffen Moeller <moeller@debian.org>  Wed, 23 Jul 2008 18:27:42 +0200

=== debian/control ===
Source: r-cran-genetics
Section: gnu-r
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8), cdbs, r-base-dev, r-cran-combinat, r-cran-mvtnorm, r-cran-gdata, r-cran-gtools, r-cran-mass
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-genetics/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-cran-genetics/trunk/
Homepage: http://cran.r-project.org/web/packages/genetics

Package: r-cran-genetics
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}, r-recommended, r-cran-gtools, r-cran-gdata, r-cran-combinat, r-cran-mvtnorm, r-cran-mass
Description: GNU R package for population genetics
 Classes and methods for handling genetic data. Includes
 The package provides a library for the statistics environment R that
 contains classes to represent genotypes and haplotypes at single markers up
 to multiple markers on multiple chromosomes. Function include
 allele frequencies, flagging homo/heterozygotes, flagging carriers
 of certain alleles, estimating and testing for Hardy-Weinberg
 disequilibrium, estimating and testing for linkage disequilibrium,
 and more.
 .
 NOTE: THIS PACKAGE IS NOW OBSOLETE.
 .
 The R-Genetics project has developed an set of enhanced genetics
 packages to replace 'genetics'. Please visit the project homepage
 at http://rgenetics.org for information.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-genetics package
# Copyright 2008 by Steffen Moeller <moeller@debian.org>

include /usr/share/R/debian/r-cran.mk

# Require a number equal or superior than the R version the package was built with.
install/$(package)::
	echo "R:Depends=r-base-core (>= $(shell R --version | head -n1 | perl -ne 'print / +([0-9]\.[0-9]+\.[0-9])/')~)" >> debian/$(package).substvars
	chmod 644 debian/$(package)/usr/lib/R/site-library/genetics/doc/*.pdf

## r-cran-genetics 1.3.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: genetics
 Title: Population Genetics
-Version: 1.3.6
-Date: 2011-02-01
+Version: 1.3.8
+Date: 2012-11-26
 Author: Gregory Warnes, with contributions from Gregor Gorjanc,
         Friedrich Leisch, and Michael Man.
 Maintainer: Gregory Warnes <greg@warnes.net>
@@ -15,6 +15,6 @@
         linkage disequilibrium, ...
 biocViews: Genetics
 License: GPL
-Packaged: 2011-02-02 02:29:53 UTC; warnes
+Packaged: 2012-12-14 20:31:44 UTC; warnegr1
 Repository: CRAN
-Date/Publication: 2011-02-02 08:46:31
+Date/Publication: 2012-12-15 07:32:16

=== debian/changelog ===
r-cran-genetics (1.3.8-1) unstable; urgency=low

  * New upstream release.
  * Normalised VCS URLs following Lintian's standard.
  * Removed obsolete DM-Upload-Allowed field.
  * Using Debhelper 9.
  * Acquire R:Depends directly from r-base-dev.
  * Normalised VCS URLs following Lintian's standard.
  * Conforms with Policy 3.9.4.

 -- Charles Plessy <plessy@debian.org>  Wed, 01 May 2013 09:37:59 +0900

=== debian/control ===
Source: r-cran-genetics
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-combinat,
               r-cran-mvtnorm,
               r-cran-gdata,
               r-cran-gtools,
               r-cran-mass
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-genetics/trunk/ 
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-genetics/trunk/
Homepage: http://cran.r-project.org/web/packages/genetics

Package: r-cran-genetics
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-recommended,
         r-cran-gtools,
         r-cran-gdata,
         r-cran-combinat,
         r-cran-mvtnorm,
         r-cran-mass
Description: GNU R package for population genetics
 Classes and methods for handling genetic data. Includes
 The package provides a library for the statistics environment R that
 contains classes to represent genotypes and haplotypes at single markers up
 to multiple markers on multiple chromosomes. Function include
 allele frequencies, flagging homo/heterozygotes, flagging carriers
 of certain alleles, estimating and testing for Hardy-Weinberg
 disequilibrium, estimating and testing for linkage disequilibrium,
 and more.
 .
 NOTE: THIS PACKAGE IS NOW OBSOLETE.
 .
 The R-Genetics project has developed an set of enhanced genetics
 packages to replace 'genetics'. Please visit the project homepage
 at http://rgenetics.org for information.

## r-cran-genetics 1.3.8.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: genetics
 Title: Population Genetics
-Version: 1.3.8
+Version: 1.3.8.1
 Date: 2012-11-26
 Author: Gregory Warnes, with contributions from Gregor Gorjanc,
         Friedrich Leisch, and Michael Man.
@@ -15,6 +15,7 @@
         linkage disequilibrium, ...
 biocViews: Genetics
 License: GPL
-Packaged: 2012-12-14 20:31:44 UTC; warnegr1
+Packaged: 2013-09-03 10:04:45 UTC; ripley
 Repository: CRAN
-Date/Publication: 2012-12-15 07:32:16
+Date/Publication: 2013-09-03 12:06:28
+NeedsCompilation: no

=== debian/changelog ===
r-cran-genetics (1.3.8.1-1) unstable; urgency=medium

  * New upstream release
  * cme fix dpkg-control
  * add autopkgtest

 -- Andreas Tille <tille@debian.org>  Sat, 28 Jun 2014 08:37:29 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
            Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
+Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev,
@@ -13,7 +14,7 @@
                r-cran-gdata,
                r-cran-gtools,
                r-cran-mass
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-genetics/trunk/ 
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-genetics/trunk/
 Homepage: http://cran.r-project.org/web/packages/genetics
@@ -43,4 +44,3 @@
  The R-Genetics project has developed an set of enhanced genetics
  packages to replace 'genetics'. Please visit the project homepage
  at http://rgenetics.org for information.
-

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	chmod 644 debian/$(package)/usr/lib/R/site-library/genetics/doc/*.pdf

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/genetics_([-0-9\.]*)\.tar\.gz

## r-cran-genetics 1.3.8.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: genetics
 Title: Population Genetics
-Version: 1.3.8.1
+Version: 1.3.8.1.1
 Date: 2012-11-26
 Author: Gregory Warnes, with contributions from Gregor Gorjanc,
         Friedrich Leisch, and Michael Man.
@@ -15,7 +15,7 @@
         linkage disequilibrium, ...
 biocViews: Genetics
 License: GPL
-Packaged: 2013-09-03 10:04:45 UTC; ripley
+Packaged: 2019-02-01 07:51:14 UTC; hornik
 Repository: CRAN
-Date/Publication: 2013-09-03 12:06:28
+Date/Publication: 2019-02-01 07:57:44 UTC
 NeedsCompilation: no

=== debian/changelog ===
r-cran-genetics (1.3.8.1.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Wed, 06 Feb 2019 09:33:23 +0100

r-cran-genetics (1.3.8.1-3) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jun 2018 09:01:24 +0200

r-cran-genetics (1.3.8.1-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * debhelper 10
  * Convert from cdbs to dh-r
  * Secure URI in watch file
  * Canonical homepage for CRAN packages
  * Review d/copyright
  * Add README.source to document binary data files

 -- Andreas Tille <tille@debian.org>  Thu, 19 Oct 2017 18:18:51 +0200

=== debian/control ===
Source: r-cran-genetics
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-combinat,
               r-cran-gdata,
               r-cran-gtools,
               r-cran-mass,
               r-cran-mvtnorm
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-genetics
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-genetics.git
Homepage: https://cran.r-project.org/package=genetics

Package: r-cran-genetics
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for population genetics
 Classes and methods for handling genetic data. Includes
 The package provides a library for the statistics environment R that
 contains classes to represent genotypes and haplotypes at single markers up
 to multiple markers on multiple chromosomes. Function include
 allele frequencies, flagging homo/heterozygotes, flagging carriers
 of certain alleles, estimating and testing for Hardy-Weinberg
 disequilibrium, estimating and testing for linkage disequilibrium,
 and more.
 .
 NOTE: THIS PACKAGE IS NOW OBSOLETE.
 .
 The R-Genetics project has developed an set of enhanced genetics
 packages to replace 'genetics'. Please visit the project homepage
 at http://rgenetics.org for information.

## r-cran-genetics 1.3.8.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: genetics
 Title: Population Genetics
-Version: 1.3.8.1.1
+Version: 1.3.8.1.2
 Date: 2012-11-26
 Author: Gregory Warnes, with contributions from Gregor Gorjanc,
         Friedrich Leisch, and Michael Man.
@@ -15,7 +15,7 @@
         linkage disequilibrium, ...
 biocViews: Genetics
 License: GPL
-Packaged: 2019-02-01 07:51:14 UTC; hornik
+Packaged: 2019-04-21 11:05:10 UTC; ripley
 Repository: CRAN
-Date/Publication: 2019-02-01 07:57:44 UTC
+Date/Publication: 2019-04-22 06:57:07 UTC
 NeedsCompilation: no

=== debian/changelog ===
r-cran-genetics (1.3.8.1.2-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 07:11:01 +0200

r-cran-genetics (1.3.8.1.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jul 2019 07:59:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-combinat,
@@ -13,10 +13,11 @@
                r-cran-gtools,
                r-cran-mass,
                r-cran-mvtnorm
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-genetics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-genetics.git
 Homepage: https://cran.r-project.org/package=genetics
+Rules-Requires-Root: no
 
 Package: r-cran-genetics
 Architecture: all

## r-cran-genetics 1.3.8.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: genetics
 Title: Population Genetics
-Version: 1.3.8.1.2
+Version: 1.3.8.1.3
 Date: 2012-11-26
 Author: Gregory Warnes, with contributions from Gregor Gorjanc,
         Friedrich Leisch, and Michael Man.
@@ -15,7 +15,7 @@
         linkage disequilibrium, ...
 biocViews: Genetics
 License: GPL
-Packaged: 2019-04-21 11:05:10 UTC; ripley
+Packaged: 2021-03-01 06:56:06 UTC; hornik
 Repository: CRAN
-Date/Publication: 2019-04-22 06:57:07 UTC
+Date/Publication: 2021-03-01 07:10:07 UTC
 NeedsCompilation: no

=== debian/changelog ===
r-cran-genetics (1.3.8.1.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 08:01:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
            Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-combinat,
@@ -13,7 +14,7 @@
                r-cran-gtools,
                r-cran-mass,
                r-cran-mvtnorm
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-genetics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-genetics.git
 Homepage: https://cran.r-project.org/package=genetics

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/genetics_([-0-9\.]*)\.tar\.gz
